Bug 963166 - org.infinispan.lucene.InfinispanDirectoryIOTest.testReadWholeFile fails randomly
org.infinispan.lucene.InfinispanDirectoryIOTest.testReadWholeFile fails randomly
Status: CLOSED WONTFIX
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Clustering (Show other bugs)
6.1.0,6.1.1
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Paul Ferraro
Infinispan testsuite
:
Depends On: 918448
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-15 05:51 EDT by Richard Janík
Modified: 2014-05-21 09:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 918448
Environment:
Last Closed: 2013-09-03 02:26:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-2895 Major Resolved org.infinispan.lucene.InfinispanDirectoryIOTest.testReadWholeFile fails randomly 2014-05-21 09:12:48 EDT

  None (edit)
Description Richard Janík 2013-05-15 05:51:30 EDT
+++ This bug was initially created as a clone of Bug #918448 +++

The error message is:

java.lang.NullPointerException
	at org.infinispan.lucene.DirectoryIntegrityCheck.verifyDirectoryStructure(DirectoryIntegrityCheck.java:76)
	at org.infinispan.lucene.DirectoryIntegrityCheck.verifyDirectoryStructure(DirectoryIntegrityCheck.java:56)
	at org.infinispan.lucene.InfinispanDirectoryIOTest.verifyOnBuffer(InfinispanDirectoryIOTest.java:184)
	at org.infinispan.lucene.InfinispanDirectoryIOTest.testReadWholeFile(InfinispanDirectoryIOTest.java:153)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:601)
	at org.testng.internal.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:80)
	at org.testng.internal.Invoker.invokeMethod(Invoker.java:715)
	at org.testng.internal.Invoker.invokeTestMethod(Invoker.java:907)
	at org.testng.internal.Invoker.invokeTestMethods(Invoker.java:1237)
	at org.testng.internal.TestMethodWorker.invokeTestMethods(TestMethodWorker.java:127)
	at org.testng.internal.TestMethodWorker.run(TestMethodWorker.java:111)
	at org.testng.TestRunner.privateRun(TestRunner.java:767)
	at org.testng.TestRunner.run(TestRunner.java:617)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:334)
	at org.testng.SuiteRunner.access$000(SuiteRunner.java:37)
	at org.testng.SuiteRunner$SuiteWorker.run(SuiteRunner.java:368)
	at org.testng.internal.thread.ThreadUtil$2.call(ThreadUtil.java:64)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:334)
	at java.util.concurrent.FutureTask.run(FutureTask.java:166)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)
	at java.lang.Thread.run(Thread.java:722)
Comment 1 JBoss JIRA Server 2013-07-22 06:01:06 EDT
Mircea Markus <mmarkus@redhat.com> made a comment on jira ISPN-2895

Another failure: http://ci.infinispan.org/viewLog.html?buildId=2545&buildTypeId=bt2&tab=buildLog#_focus=29375
Comment 2 Richard Janík 2013-08-07 06:30:43 EDT
Also seen in 6.1.1.ER4 with Infinispan 5.2.7.Final. Bumping to 6.2.0 ?.
Comment 4 Paul Ferraro 2014-05-21 09:30:22 EDT
These issues are specific to the Infinispan testsuite, and either reside in modules that are not used in EAP, or pertain to use cases that are not supported in EAP.  Setting resolution to WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.